## kde-gtk-config 5.22.5

=== debian/changelog ===
kde-gtk-config (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:45:59 +0200

kde-gtk-config (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:42:11 +0100

kde-gtk-config (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:05:35 +0100

kde-gtk-config (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:51:30 +0100

kde-gtk-config (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:57:14 +0100

kde-gtk-config (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:09:08 +0100

kde-gtk-config (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:52:47 +0100

kde-gtk-config (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:01:44 +0100

=== debian/control ===
Source: kde-gtk-config
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Boris Pek <tehnick@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.10~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               gettext,
               gsettings-desktop-schemas,
               libgtk-3-dev,
               libgtk2.0-dev,
               libkdecorations2-dev (>= 4:5.22.5~),
               libkf5archive-dev (>= 5.82.0~),
               libkf5config-dev (>= 5.82.0~),
               libkf5configwidgets-dev (>= 5.82.0~),
               libkf5coreaddons-dev (>= 5.82.0~),
               libkf5dbusaddons-dev (>= 5.82.0~),
               libkf5guiaddons-dev (>= 5.82.0~),
               libkf5i18n-dev (>= 5.82.0~),
               libkf5kcmutils-dev (>= 5.82.0~),
               libkf5kio-dev (>= 5.82.0~),
               libkf5newstuff-dev (>= 5.82.0~),
               libqt5svg5-dev (>= 5.15.0~),
               libx11-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.0~),
               sassc,
Homepage: https://invent.kde.org/plasma/kde-gtk-config
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: kde-config-gtk-style
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: xsettingsd | xsettings-kde
Suggests: kde-config-gtk-style-preview
Multi-Arch: same
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
 .
 This package contains kde-gtk-config module for KDE System Settings and
 common files (icons, localization files and etc).

Package: kde-config-gtk-style-preview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-config-gtk-style
Multi-Arch: same
Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
 Configuration dialog to adapt GTK+ applications appearance to your taste
 under KDE. Among its many features, it lets you:
  - Choose which theme is used for GTK+ 2.x and GTK+ 3.x applications.
  - Tweak some GTK+ applications behaviour.
  - Select what icon theme to use in GTK+ applications.
  - Select GTK+ applications default fonts.
  - Easily browse and install new GTK+ 2.x and GTK+ 3.x themes.
 .
 This package contains binary files for previewing Gtk themes and applying
 them without restarting of Gtk applications.

## kde-gtk-config 5.24.4

=== CMakeLists.txt ===
project(kde-gtk-config)
set(PROJECT_VERSION "5.24.4")
cmake_minimum_required(VERSION 3.16)

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.86")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config ConfigWidgets GuiAddons DBusAddons)
find_package(PkgConfig REQUIRED)
find_package(KDecoration2 REQUIRED)
find_package(GSettingSchemas REQUIRED)
find_package(Sass REQUIRED)
find_package(XSettingsd)

pkg_check_modules(GTK+3 REQUIRED IMPORTED_TARGET gtk+-3.0)
pkg_check_modules(GLib2 REQUIRED IMPORTED_TARGET glib-2.0)
pkg_check_modules(GObject REQUIRED IMPORTED_TARGET gobject-2.0)
pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-2.0)

include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)

set_package_properties(XSettingsd PROPERTIES
    DESCRIPTION "XSettingsd daemon"
    TYPE RUNTIME
    PURPOSE "Required to apply settings to GTK applications on the fly"
)

set_package_properties(Sass PROPERTIES
    DESCRIPTION "SASS compiler"
    URL "https://sass-lang.com/"
    PURPOSE "Required for building a modification, that allows Breeze GTK to change it's window decorations' appearance"
)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake kded/config.h)

add_subdirectory(gtk3proxies)
add_subdirectory(kded)
add_subdirectory(kconf_update)
add_subdirectory(color-reload-module)
add_subdirectory(window-decorations-reload-module)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kded/CMakeLists.txt ===
add_subdirectory(kwin_bridge)
add_subdirectory(scss)

set(kscreen_daemon_SRCS
    gtkconfig.cpp
    configeditor.cpp
    configvalueprovider.cpp
    themepreviewer.cpp
)

add_library(gtkconfig MODULE ${kscreen_daemon_SRCS})

target_compile_definitions(gtkconfig
  PUBLIC
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

target_link_libraries(gtkconfig
  PRIVATE
    KWinBridge
  PUBLIC
    Qt::DBus
    Qt::Svg
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::DBusAddons
    KF5::GuiAddons
    PkgConfig::GTK+3
    PkgConfig::GIO
    PkgConfig::GObject
)

install(TARGETS gtkconfig DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kded)

=== kded/scss/CMakeLists.txt ===
set(SOURCES "window_decorations.scss" "build_decorations_css.sh")
set(DECORATIONS_CSS_PATH "${PROJECT_BINARY_DIR}/kded/scss")

add_custom_command(
    OUTPUT "${DECORATIONS_CSS_PATH}/window_decorations.css"
    DEPENDS ${SOURCES}
    COMMAND ./build_decorations_css.sh "${DECORATIONS_CSS_PATH}"
    WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}/kded/scss"
)
add_custom_target(BreezeGTKWindowDecorationsCSS ALL DEPENDS "${DECORATIONS_CSS_PATH}/window_decorations.css")

install(
    FILES "${DECORATIONS_CSS_PATH}/window_decorations.css"
    DESTINATION "${KDE_INSTALL_FULL_DATAROOTDIR}/themes/Breeze"
)

=== debian/changelog ===
kde-gtk-config (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:19:31 +0100

kde-gtk-config (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:14:04 +0000

kde-gtk-config (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:01:01 +0000

kde-gtk-config (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:20:35 +0000

kde-gtk-config (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:26:39 +0000

kde-gtk-config (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:18:06 +0000

kde-gtk-config (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:39:56 +0000

kde-gtk-config (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:55:59 +0000

kde-gtk-config (4:5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:17:24 +0000

kde-gtk-config (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:37:40 +0900

kde-gtk-config (4:5.23.2-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:02 +0900

kde-gtk-config (4:5.23.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Tighten build-dependencies.
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Oct 2021 21:08:22 +0200

kde-gtk-config (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:14 +0900

kde-gtk-config (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:23:21 +0200

kde-gtk-config (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 18:04:28 +0200

kde-gtk-config (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:46:29 +0200

kde-gtk-config (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:41 +0900

kde-gtk-config (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:49 +0900

kde-gtk-config (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:39 +0900

kde-gtk-config (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Remove upstream included patch.
  * Bump B-D for libkdecorations2-dev.

  [ Aurélien COUDERC ]
  * Add lintian override for libwindow-decorations-gtk-module.so not linking
    against libc, it only uses glib/gio symbols.
  * Refresh copyright information.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:26 +0900

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Boris Pek <tehnick@debian.org>,
            Scarlett Moore <sgmoore@kde.org>,
-           Patrick Franz <patfra71@gmail.com>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.10~),
+           Patrick Franz <deltaone@debian.org>,
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
                libgtk2.0-dev,
-               libkdecorations2-dev (>= 4:5.22.5~),
-               libkf5archive-dev (>= 5.82.0~),
-               libkf5config-dev (>= 5.82.0~),
-               libkf5configwidgets-dev (>= 5.82.0~),
-               libkf5coreaddons-dev (>= 5.82.0~),
-               libkf5dbusaddons-dev (>= 5.82.0~),
-               libkf5guiaddons-dev (>= 5.82.0~),
-               libkf5i18n-dev (>= 5.82.0~),
-               libkf5kcmutils-dev (>= 5.82.0~),
-               libkf5kio-dev (>= 5.82.0~),
-               libkf5newstuff-dev (>= 5.82.0~),
+               libkdecorations2-dev (>= 4:5.24.4~),
+               libkf5archive-dev (>= 5.90.0~),
+               libkf5config-dev (>= 5.90.0~),
+               libkf5configwidgets-dev (>= 5.90.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5dbusaddons-dev (>= 5.90.0~),
+               libkf5guiaddons-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
+               libkf5kcmutils-dev (>= 5.90.0~),
+               libkf5kio-dev (>= 5.90.0~),
+               libkf5newstuff-dev (>= 5.90.0~),
                libqt5svg5-dev (>= 5.15.0~),
                libx11-dev,
                pkg-config,
@@ -31,9 +32,9 @@
                qtbase5-dev (>= 5.15.0~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
-Standards-Version: 4.5.1
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 
 Package: kde-config-gtk-style

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all


%:
	dh $@ --with kf5,pkgkde_symbolshelper \
	      --buildsystem kf5 \
	      --without build_stamp

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kde-gtk-config 5.25.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(kde-gtk-config)
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.25.5")
 cmake_minimum_required(VERSION 3.16)
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.86")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.94")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)
@@ -12,7 +12,18 @@
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus Svg)
+include(ECMSetupVersion)
+include(ECMInstallIcons)
+include(ECMMarkAsTest)
+include(GenerateExportHeader)
+include(FeatureSummary)
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
+
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus Svg)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config ConfigWidgets GuiAddons DBusAddons)
 find_package(PkgConfig REQUIRED)
 find_package(KDecoration2 REQUIRED)
@@ -25,16 +36,6 @@
 pkg_check_modules(GObject REQUIRED IMPORTED_TARGET gobject-2.0)
 pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-2.0)
 
-include(ECMSetupVersion)
-include(ECMInstallIcons)
-include(ECMMarkAsTest)
-include(GenerateExportHeader)
-include(FeatureSummary)
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDECompilerSettings NO_POLICY_SCOPE)
-include(KDEClangFormat)
-include(KDEGitCommitHooks)
 
 set_package_properties(XSettingsd PROPERTIES
     DESCRIPTION "XSettingsd daemon"

=== debian/changelog ===
kde-gtk-config (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:31:40 +0100

kde-gtk-config (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 02:10:32 +0100

kde-gtk-config (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:33:46 +0200

kde-gtk-config (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:58:37 +0100

kde-gtk-config (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * New upstream release (5.25.3).
  * Refresh lintian overrides.
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:28:43 +0200

kde-gtk-config (4:5.25.3-0ubuntu2) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:08:23 +0100

kde-gtk-config (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:43:14 +0100

kde-gtk-config (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:16:14 +0100

kde-gtk-config (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).
  * Tighten inter-Plasma dependencies.

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:47:07 +0200

kde-gtk-config (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:26:34 +0100

kde-gtk-config (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Tighten cross-plasma components dependencies.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:45 +0200

kde-gtk-config (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:05:09 +0100

kde-gtk-config (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Drop obsolete lintian override.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:45:38 +0200

kde-gtk-config (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:39:39 +0100

kde-gtk-config (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:40:11 +0200

kde-gtk-config (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:47:45 +0100

kde-gtk-config (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 14:03:03 +0200

kde-gtk-config (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 08:19:13 +0100

kde-gtk-config (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Update B-Ds and deps with the info from cmake.
  * Update list of installed files.
  * Re-export signing key without extra signatures.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:20 +0100

kde-gtk-config (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 17:22:13 +0100

kde-gtk-config (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

  [ Patrick Franz ]
  * Update B-Ds.

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 21:58:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,38 +3,32 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Boris Pek <tehnick@debian.org>,
-           Scarlett Moore <sgmoore@kde.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Boris Pek <tehnick@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
-           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 5.94~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libgtk2.0-dev,
-               libkdecorations2-dev (>= 4:5.24.4~),
-               libkf5archive-dev (>= 5.90.0~),
-               libkf5config-dev (>= 5.90.0~),
-               libkf5configwidgets-dev (>= 5.90.0~),
-               libkf5coreaddons-dev (>= 5.90.0~),
-               libkf5dbusaddons-dev (>= 5.90.0~),
-               libkf5guiaddons-dev (>= 5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5kcmutils-dev (>= 5.90.0~),
-               libkf5kio-dev (>= 5.90.0~),
-               libkf5newstuff-dev (>= 5.90.0~),
-               libqt5svg5-dev (>= 5.15.0~),
+               libkdecorations2-dev (>= 4:5.25.5~),
+               libkf5config-dev (>= 5.94~),
+               libkf5configwidgets-dev (>= 5.94~),
+               libkf5coreaddons-dev (>= 5.94~),
+               libkf5dbusaddons-dev (>= 5.94~),
+               libkf5guiaddons-dev (>= 5.94~),
+               libqt5svg5-dev (>= 5.15.2~),
                libx11-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.15.0~),
+               qtbase5-dev (>= 5.15.2~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 
 Package: kde-config-gtk-style

## kde-gtk-config 5.26.90

=== debian/changelog ===
kde-gtk-config (4:5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.
  * Update cross-plasma versioned dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:56 +0100

kde-gtk-config (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:21:54 +0100

kde-gtk-config (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:05:51 +0100

kde-gtk-config (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:45:59 +0100

kde-gtk-config (4:5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).
  * Add gsettings-desktop-schemas as a dependency. (Closes: #1023372)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:34:57 +0200

kde-gtk-config (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:21 +0200

kde-gtk-config (4:5.25.90-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten cross-plasma components dependencies.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 07 Oct 2022 11:47:04 +0200

kde-gtk-config (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:24 +0200

kde-gtk-config (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:21:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,24 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Boris Pek <tehnick@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
+           Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.94~),
+               extra-cmake-modules (>= 5.98.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations2-dev (>= 4:5.25.5~),
-               libkf5config-dev (>= 5.94~),
-               libkf5configwidgets-dev (>= 5.94~),
-               libkf5coreaddons-dev (>= 5.94~),
-               libkf5dbusaddons-dev (>= 5.94~),
-               libkf5guiaddons-dev (>= 5.94~),
+               libkdecorations2-dev (>= 4:5.26.70~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5configwidgets-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5dbusaddons-dev (>= 5.98.0~),
+               libkf5guiaddons-dev (>= 5.98.0~),
                libqt5svg5-dev (>= 5.15.2~),
                libx11-dev,
                pkg-config,
@@ -26,14 +26,14 @@
                qtbase5-dev (>= 5.15.2~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: kde-config-gtk-style
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: gsettings-desktop-schemas, ${misc:Depends}, ${shlibs:Depends}
 Recommends: xsettingsd | xsettings-kde
 Suggests: kde-config-gtk-style-preview
 Multi-Arch: same

## kde-gtk-config 5.27.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(kde-gtk-config)
-set(PROJECT_VERSION "5.25.5")
+set(PROJECT_VERSION "5.27.4")
 cmake_minimum_required(VERSION 3.16)
 
 set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.94")
+set(KF5_MIN_VERSION "5.102.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)
@@ -24,7 +24,7 @@
 include(KDEGitCommitHooks)
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS DBus Svg)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config ConfigWidgets GuiAddons DBusAddons)
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS CoreAddons Config ConfigWidgets GuiAddons DBusAddons WindowSystem)
 find_package(PkgConfig REQUIRED)
 find_package(KDecoration2 REQUIRED)
 find_package(GSettingSchemas REQUIRED)

=== debian/changelog ===
kde-gtk-config (4:5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:37:15 +0100

kde-gtk-config (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:17:41 +0000

kde-gtk-config (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:22:29 +0000

kde-gtk-config (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:46:12 +0000

kde-gtk-config (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:40:14 +0000

kde-gtk-config (4:5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:29:13 +0000

kde-gtk-config (4:5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:16:13 +0000

kde-gtk-config (4:5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Plasma build deps bumped to current versions.

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Dec 2022 15:23:47 +0000

kde-gtk-config (4:5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:03:17 +0000

kde-gtk-config (4:5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:10:49 +0000

kde-gtk-config (4:5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:09:22 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Boris Pek <tehnick@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -9,16 +10,17 @@
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations2-dev (>= 4:5.26.70~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5configwidgets-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5dbusaddons-dev (>= 5.98.0~),
-               libkf5guiaddons-dev (>= 5.98.0~),
+               libkdecorations2-dev (>= 4:5.27.4~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5configwidgets-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5dbusaddons-dev (>= 5.102.0~),
+               libkf5guiaddons-dev (>= 5.102.0~),
+               libkf5windowsystem-dev (>= 5.102.0~),
                libqt5svg5-dev (>= 5.15.2~),
                libx11-dev,
                pkg-config,
@@ -26,9 +28,9 @@
                qtbase5-dev (>= 5.15.2~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
-Standards-Version: 4.6.2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 
 Package: kde-config-gtk-style

## kde-gtk-config 5.27.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kde-gtk-config)
-set(PROJECT_VERSION "5.27.4")
+set(PROJECT_VERSION "5.27.5")
 cmake_minimum_required(VERSION 3.16)
 
 set(QT_MIN_VERSION "5.15.2")

=== window-decorations-reload-module/CMakeLists.txt ===
add_library(window-decorations-gtk3-module MODULE
    reloader.c
)

target_link_libraries(window-decorations-gtk3-module
  PRIVATE
    PkgConfig::GLib2
    PkgConfig::GTK+3
)

set_target_properties(window-decorations-gtk3-module
  PROPERTIES
    OUTPUT_NAME libwindow-decorations-gtk-module
)

install(
    TARGETS window-decorations-gtk3-module
    DESTINATION ${KDE_INSTALL_LIBDIR}/gtk-3.0/modules
)

=== debian/changelog ===
kde-gtk-config (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:45 +0200

kde-gtk-config (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:27:42 +0200

kde-gtk-config (4:5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:17:52 +0100

kde-gtk-config (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 15:00:42 +0100

kde-gtk-config (4:5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Boris Pek <tehnick@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -14,7 +13,7 @@
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations2-dev (>= 4:5.27.4~),
+               libkdecorations2-dev (>= 4:5.27.5~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -28,16 +27,16 @@
                qtbase5-dev (>= 5.15.2~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: kde-config-gtk-style
 Architecture: any
-Depends: gsettings-desktop-schemas, ${misc:Depends}, ${shlibs:Depends}
-Recommends: xsettingsd | xsettings-kde
-Suggests: kde-config-gtk-style-preview
+Depends: gsettings-desktop-schemas, ${misc:Depends}, ${shlibs:Depends},
+Recommends: xsettingsd | xsettings-kde,
+Suggests: kde-config-gtk-style-preview,
 Multi-Arch: same
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
  Configuration dialog to adapt GTK+ applications appearance to your taste
@@ -53,8 +52,8 @@
 
 Package: kde-config-gtk-style-preview
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: kde-config-gtk-style
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: kde-config-gtk-style,
 Multi-Arch: same
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
  Configuration dialog to adapt GTK+ applications appearance to your taste

## kde-gtk-config 5.27.7

=== debian/changelog ===
kde-gtk-config (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:13:59 +0100

kde-gtk-config (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:35:25 +0100

kde-gtk-config (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:13:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kde-gtk-config
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Boris Pek <tehnick@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -13,7 +14,7 @@
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations2-dev (>= 4:5.27.5~),
+               libkdecorations2-dev (>= 4:5.27.7~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -27,16 +28,16 @@
                qtbase5-dev (>= 5.15.2~),
                sassc,
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kde-gtk-config
-Standards-Version: 4.6.2
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 
 Package: kde-config-gtk-style
 Architecture: any
-Depends: gsettings-desktop-schemas, ${misc:Depends}, ${shlibs:Depends},
-Recommends: xsettingsd | xsettings-kde,
-Suggests: kde-config-gtk-style-preview,
+Depends: gsettings-desktop-schemas, ${misc:Depends}, ${shlibs:Depends}
+Recommends: xsettingsd | xsettings-kde
+Suggests: kde-config-gtk-style-preview
 Multi-Arch: same
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
  Configuration dialog to adapt GTK+ applications appearance to your taste
@@ -52,8 +53,8 @@
 
 Package: kde-config-gtk-style-preview
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: kde-config-gtk-style,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: kde-config-gtk-style
 Multi-Arch: same
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
  Configuration dialog to adapt GTK+ applications appearance to your taste

## kde-gtk-config 5.27.8

=== debian/changelog ===
kde-gtk-config (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:29:47 +0100

kde-gtk-config (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 12:13:28 +0100

kde-gtk-config (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:54:35 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations2-dev (>= 4:5.27.7~),
+               libkdecorations2-dev (>= 4:5.27.8~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),
@@ -30,14 +30,14 @@
 Homepage: https://invent.kde.org/plasma/kde-gtk-config
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kde-gtk-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: kde-config-gtk-style
 Architecture: any
-Depends: gsettings-desktop-schemas, ${misc:Depends}, ${shlibs:Depends}
-Recommends: xsettingsd | xsettings-kde
-Suggests: kde-config-gtk-style-preview
+Depends: gsettings-desktop-schemas, ${misc:Depends}, ${shlibs:Depends},
+Recommends: xsettingsd | xsettings-kde,
+Suggests: kde-config-gtk-style-preview,
 Multi-Arch: same
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection
  Configuration dialog to adapt GTK+ applications appearance to your taste
@@ -53,8 +53,8 @@
 
 Package: kde-config-gtk-style-preview
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: kde-config-gtk-style
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: kde-config-gtk-style,
 Multi-Arch: same
 Description: KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection (extras)
  Configuration dialog to adapt GTK+ applications appearance to your taste

## kde-gtk-config 5.27.10

=== debian/changelog ===
kde-gtk-config (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:20:51 +0000

kde-gtk-config (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:17:59 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                gettext,
                gsettings-desktop-schemas,
                libgtk-3-dev,
-               libkdecorations2-dev (>= 4:5.27.8~),
+               libkdecorations2-dev (>= 4:5.27.10~),
                libkf5config-dev (>= 5.102.0~),
                libkf5configwidgets-dev (>= 5.102.0~),
                libkf5coreaddons-dev (>= 5.102.0~),

## kde-gtk-config 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kde-gtk-config)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 cmake_minimum_required(VERSION 3.16)
 
 set(QT_MIN_VERSION "5.15.2")

=== kconf_update/CMakeLists.txt ===
add_executable(gtk_theme)

target_sources (gtk_theme
  PRIVATE
    gtktheme.cpp
    ../kded/config_editor/gsettings.cpp
    ../kded/config_editor/gtk2.cpp
    ../kded/config_editor/settings_ini.cpp
    ../kded/config_editor/utils.cpp
    ../kded/config_editor/xsettings.cpp
)

target_link_libraries(gtk_theme
  PRIVATE
    Qt::Core
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::GuiAddons
    PkgConfig::GIO
    PkgConfig::GObject
)

target_include_directories(gtk_theme
  PRIVATE
    ../kded/
)

target_compile_definitions(gtk_theme
  PRIVATE
    QT_NO_SIGNALS_SLOTS_KEYWORDS
)

install(
  TARGETS
    gtk_theme
  DESTINATION
    ${KDE_INSTALL_LIBDIR}/kconf_update_bin/
)

add_executable(remove_deprecated_gtk4_option
  remove_deprecated_gtk4_option.cpp
   ../kded/config_editor/settings_ini.cpp
   ../kded/config_editor/utils.cpp
)

target_link_libraries(remove_deprecated_gtk4_option
  PRIVATE
    Qt::Core
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::GuiAddons
    PkgConfig::GIO
    PkgConfig::GObject
)

target_include_directories(remove_deprecated_gtk4_option
  PRIVATE
    ../kded/
)

target_compile_definitions(remove_deprecated_gtk4_option
  PRIVATE
    QT_NO_SIGNALS_SLOTS_KEYWORDS
)

install(
  TARGETS
    remove_deprecated_gtk4_option
  DESTINATION
    ${KDE_INSTALL_LIBDIR}/kconf_update_bin/
)

install(
  FILES
    gtkconfig.upd
  DESTINATION
    ${KDE_INSTALL_KCONFUPDATEDIR}
)
install(
  PROGRAMS
    remove_window_decorations_from_gtk_css.sh
  DESTINATION
    ${KDE_INSTALL_KCONFUPDATEDIR}
)

=== kded/CMakeLists.txt ===
add_subdirectory(kwin_bridge)
add_subdirectory(scss)

add_library(gtkconfig MODULE)

set(gtkconfig_SRCS
    gtkconfig.cpp
    gsd-xsettings-manager/gsd-xsettings-manager.cpp
    configvalueprovider.cpp
    themepreviewer.cpp
)

qt_add_dbus_adaptor(gtkconfig_SRCS
    gsd-xsettings-manager/org.gtk.Settings.xml
    gsd-xsettings-manager/gsd-xsettings-manager.h
    GSDXSettingsManager
    gsd_xsettings_manager_adaptor
    GSDXSettingsManagerAdaptor
)

target_sources(gtkconfig
  PRIVATE
    ${gtkconfig_SRCS}
)

add_subdirectory(config_editor)

target_compile_definitions(gtkconfig
  PUBLIC
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

target_link_libraries(gtkconfig
  PRIVATE
    KWinBridge
    KF5::WindowSystem
  PUBLIC
    Qt::DBus
    Qt::Svg
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::ConfigWidgets
    KF5::DBusAddons
    KF5::GuiAddons
    PkgConfig::GTK+3
    PkgConfig::GIO
    PkgConfig::GObject
)

install(TARGETS gtkconfig DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kded)

=== debian/changelog ===
kde-gtk-config (4:5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:03:29 +0000

kde-gtk-config (4:5.27.11-0ubuntu1) noble; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.27.11)

  [ José Manuel Santamaría Lema ]
  * Replace obsolete pkg-config build depend with pkgconf

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:20:54 +0000

kde-gtk-config (4:5.27.10-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:49:27 +0000

kde-gtk-config (4:5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:13:49 +0000

kde-gtk-config (4:5.27.10-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:17:52 -0700

kde-gtk-config (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:25:07 +0100

kde-gtk-config (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:53:48 +0200

kde-gtk-config (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 21:53:45 +0200
